Page MenuHomePhabricator | MITK

OpenIGT link connection to SlicerIGT plugin
Closed, ResolvedPublic

Description

In the setup of OpenIGT link Server with MITK, when listed tool is selected and "Go online" is clicked, the "Manage Streams of Selected Device Source" is not active and "Start Streaming" is not enabled for selection.

Related Objects

Event Timeline

sridhara created this task.Mar 2 2018, 5:26 PM
seitela moved this task from Backlog to 2018 - Release relevant on the IGT board.Mar 2 2018, 6:31 PM
seitela claimed this task.Mar 16 2018, 2:55 PM

"Manage streams of Selected Device Source" only becomes active if a successful connection could be established to a Slicer instance. If MITK serves as a server providing tracking data, Slicer has to be set as a client to be able to receive the data. If done so, the respective GUI elements are correctly activated. Problem was probably identified using the test protocol for the OpenIGTLink plugin where the setting of client / server was described wrong. Correctly setting them solves the issue.

seitela moved this task from 2018 - Release relevant to Finished on the IGT board.Mar 16 2018, 2:55 PM
seitela closed this task as Resolved.Apr 19 2018, 3:00 PM